<?php

namespace Drupal\entity_extender_group\Plugin\EntityTypeExtender;

use Drupal\entity_extender\Plugin\EntityTypeExtender\EntityHandlerDefinitionAccess;
use Drupal\entity_extender\Plugin\EntityTypeExtender\EntityHandlerDefinitionStorage;
use Drupal\entity_extender\Plugin\EntityTypeExtender\EntityHandlerDefinitionView;
use Drupal\entity_extender\Plugin\EntityTypeExtender\EntityTypeExtender;
use Drupal\group\Entity\Access\GroupAccessControlHandler;
use Drupal\group\Entity\Storage\GroupStorage;
use Drupal\group\Entity\ViewBuilder\GroupViewBuilder;

/**
 * Defines the extended entity type.
 *
 * @EntityTypeExtenderPlugin("group")
 */
class GroupEntityTypeExtender extends EntityTypeExtender {

  /**
   * {@inheritdoc}
   */
  public function getHandlers(): array {
    return [
      new EntityHandlerDefinitionAccess(GroupAccessControlHandler::class, GroupHandlerAccess::class),
      new EntityHandlerDefinitionStorage(GroupStorage::class, GroupHandlerStorage::class),
      new EntityHandlerDefinitionView(GroupViewBuilder::class, GroupHandlerView::class),
    ];
  }

}
